aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--ChangeLog12
-rw-r--r--debian/TODO2
-rw-r--r--debian/changelog9
-rwxr-xr-xpbuilder-buildpackage13
4 files changed, 33 insertions, 3 deletions
diff --git a/ChangeLog b/ChangeLog
index 523a4c7..59d60fb 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,5 +1,17 @@
+2002-02-14 Junichi Uekawa <dancer@debian.org>
+
+ * pbuilder-buildpackage: quoting some string
+
+2002-02-13 Junichi Uekawa <dancer@debian.org>
+
+ * pbuilder-buildpackage: support for saving the aptcache when
+ build target fails in the middle of installing the
+ build dependency.
+
2002-02-12 Junichi Uekawa <dancer@debian.org>
+ * debian/changelog: 0.22 released, 0.23 started.
+
* pbuilder-updatebuildenv: apt-get clean is handled with ||true
* pbuilder-modules: some notes will be given if cache content is empty
diff --git a/debian/TODO b/debian/TODO
index fd894a7..4346c90 100644
--- a/debian/TODO
+++ b/debian/TODO
@@ -32,5 +32,7 @@ TODO and possible bugs:
- some critical checking.
- how to clean up afterwards safely.
+ * Do not install Build-*-Indep: targets for binary-arch building.
+
$Id$
diff --git a/debian/changelog b/debian/changelog
index fb68c44..2d64c16 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,12 @@
+pbuilder (0.23) unstable; urgency=low
+
+ * New version, not yet released.
+ * Cache is updated even when Build-Dep processing routine fails.
+ reported by Mark Brown (closes: #129053)
+ (please test)
+
+ -- Junichi Uekawa <dancer@debian.org> Wed, 13 Feb 2002 02:35:41 +0900
+
pbuilder (0.22) unstable; urgency=low
* "The version that seems to be able to successfully build most of
diff --git a/pbuilder-buildpackage b/pbuilder-buildpackage
index b7f7112..71088d7 100755
--- a/pbuilder-buildpackage
+++ b/pbuilder-buildpackage
@@ -125,7 +125,7 @@ function checkbuilddep_internal () {
done;
if [ "$SATISFIED" = "no" ]; then
echo "E: pbuilder: Could not satisfy build-dependency." >&2
- umountproc_cleanbuildplace
+ saveaptcache_umountproc_cleanbuildplace
exit 1
fi
done;
@@ -160,7 +160,7 @@ function checkbuilddep_internal () {
if $CHROOTEXEC usr/bin/dpkg -s $(echo "$INSTALLPKG" | tr "/" " " | awk '{print $1}') 2>&1 | grep ^Package: > /dev/null; then
if ! $CHROOTEXEC usr/bin/apt-get -y remove ${CURRENTREALPKGNAME} ; then
echo "E: Could not satisfy build-conflicts" >&2
- umountproc_cleanbuildplace
+ saveaptcache_umountproc_cleanbuildplace
exit 1
fi
else
@@ -184,6 +184,13 @@ function showbuildbanner () {
echo
}
+function saveaptcache_umountproc_cleanbuildplace () {
+ # save the apt cache, and call umountproc_cleanbuildplace
+ save_aptcache
+ umountproc_cleanbuildplace
+}
+
+
. /usr/lib/pbuilder/pbuilder-checkparams
PACKAGENAME="$1"
@@ -209,7 +216,7 @@ if ! $CHROOTEXEC /bin/bash -c "( cd tmp/buildd; /usr/bin/dpkg-source -x $(basena
fi
recover_aptcache
-echo Installing the build-deps
+echo "Installing the build-deps"
checkbuilddep
save_aptcache